• 0

    posted a message on MineFortress - Real-Time Strategy mod [Alpha 1.1]

    Poggers, I mainly use Fabric but I use Forge sometimes so this is a huge W.

    Posted in: WIP Mods
  • 0

    posted a message on Assistance with crash

    Oh, okay

    Posted in: Java Edition Support
  • 0

    posted a message on Assistance with crash

    I have Java 17. Also it worked when I used the normal launcher instead

    Posted in: Java Edition Support
  • 0

    posted a message on Assistance with crash

    MultiMC crashed, was running 1.7.10, all mods were 1.7.10, the lack of information and understanding from this stacktrace confuses me. Anyone know what happened and the solution?


    Stacktrace:

    Failed to start Minecraft:


    java.lang.reflect.InvocationTargetException


    at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)


    at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)


    at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)


    at java.base/java.lang.reflect.Method.invoke(Method.java:568)


    at org.multimc.onesix.OneSixLauncher.launchWithMainClass(OneSixLauncher.java:210)


    at org.multimc.onesix.OneSixLauncher.launch(OneSixLauncher.java:245)


    at org.multimc.EntryPoint.listen(EntryPoint.java:143)


    at org.multimc.EntryPoint.main(EntryPoint.java:34)


    Caused by: java.lang.ClassCastException: class jdk.internal.loader.ClassLoaders$AppClassLoader cannot be cast to class java.net.URLClassLoader (jdk.internal.loader.ClassLoaders$AppClassLoader and java.net.URLClassLoader are in module java.base of loader 'bootstrap')


    at net.minecraft.launchwrapper.Launch.<init>(Launch.java:34)


    at net.minecraft.launchwrapper.Launch.main(Launch.java:28)


    ... 8 more


    Exiting with -1


    Process exited with code -1.

    Posted in: Java Edition Support
  • 0

    posted a message on Is this a good choice?

    I'm planning on making a modpack myself, it's version 1.7.10 since I haven't used that version and I've seen how popular it is. So do I stick with 1.7.10 or 1.12.2?

    Posted in: Mods Discussion
  • 0

    posted a message on MineFortress - Real-Time Strategy mod [Alpha 1.1]

    Hi, are you planning of porting it to Forge or other modloaders? Are you going to make it compatible with other mods? Is there going to be a release for the 1.16.5 version as well? Sorry if this is too much to ask. But I really like the mod, it reminds me of Clash of Clans which I used to play 24/7.

    Posted in: WIP Mods
  • 0

    posted a message on Is anyone getting horrible lag from 1.18?

    Sodium, Lithium and Phosphor are made by the same person. Not sure about Hydrogen though.

    Posted in: Java Edition Support
  • 1

    posted a message on Fabulously Optimized 3.0.0 keeps crashing

    That's the only 1.18 build. FO 3.0.0 is 1.18. Do I use a slightly older build instead then?

    Ah! Nevermind, I fixed it by installing the latest Cloth Config build. Thanks anyway, I wouldn't have been to locate the issue without you.

    Posted in: Java Edition Support
  • 0

    posted a message on Minecraft 1.18 cave generation is fun!

    It looks like Minecraft had a bit of wonky donky while generating this cave that I found.

    X: 205
    Y: 89
    Z: 233
    Seed: 4565733823839146652


    Disclaimer: The last image was unintended. I accidentally added it while bulk selecting the images.


    Images of the cave.

    https://imgur.com/a/Mg53sMH

    Posted in: Recent Updates and Snapshots
  • 0

    posted a message on Fabulously Optimized 3.0.0 keeps crashing

    Hi, Fabulously Optimized (a modpack on CurseForge which optimizes your game, self-explanatory) keeps crashing on me. I haven't tampered with the installation nor have added any new resource packs. I just installed it and ran the game only to be greeted with this Fabric 0.12.8 stacktrace.


    java.lang.RuntimeException: Error creating Mixin config cloth-client-events-v0.mixins.json for mod cloth-client-events-v0java.lang.RuntimeException: Error creating Mixin config cloth-client-events-v0.mixins.json for mod cloth-client-events-v0 at net.fabricmc.loader.impl.launch.FabricMixinBootstrap.init(FabricMixinBootstrap.java:90) at net.fabricmc.loader.impl.launch.knot.Knot.init(Knot.java:148) at net.fabricmc.loader.impl.launch.knot.Knot.launch(Knot.java:71) at net.fabricmc.loader.impl.launch.knot.KnotClient.main(KnotClient.java:23)Caused by: org.spongepowered.asm.launch.MixinInitialisationError: Error initialising mixin config cloth-client-events-v0.mixins.json at org.spongepowered.asm.mixin.transformer.Config.create(Config.java:153) at org.spongepowered.asm.mixin.Mixins.createConfiguration(Mixins.java:100) at org.spongepowered.asm.mixin.Mixins.addConfiguration(Mixins.java:87) at net.fabricmc.loader.impl.launch.FabricMixinBootstrap.init(FabricMixinBootstrap.java:88) ... 3 moreCaused by: java.lang.IllegalArgumentException: The specified resource 'cloth-client-events-v0.mixins.json' was invalid or could not be read at org.spongepowered.asm.mixin.transformer.MixinConfig.create(MixinConfig.java:1290) at org.spongepowered.asm.mixin.transformer.Config.create(Config.java:148) ... 6 more

    Posted in: Java Edition Support
  • 0

    posted a message on Do resource packs made for higher versions work?

    Well yes, it worked but some textures were blocks not released yet...

    Posted in: Java Edition Support
  • 0

    posted a message on Do resource packs made for higher versions work?

    Hi, I'm downloading a 1.18 resource pack however I currently use 1.17.1 for better performance (the optimization mods I use haven't updated to 1.18 yet). Will the resource pack function normally?

    Posted in: Java Edition Support
  • 0

    posted a message on What is Technic Launcher and MultiMC?

    Ah, I see.

    Posted in: Java Edition Support
  • 0

    posted a message on What is Technic Launcher and MultiMC?

    Sorry for my lack of knowledge, I've been hearing about MultiMC, Technic Launcher and other launchers. Are they safe to use? Will they affect my .minecraft directory?

    Posted in: Java Edition Support
  • 0

    posted a message on Missing mods it depends on

    Install the mod it depends on.

    Posted in: Java Edition Support
  • To post a comment, please .